#!/bin/bash

simg2img super.img super.ext4.img
./lpunpack super.ext4.img
fallocate -l 2G system.img
resize2fs system.img 2G
mkdir system
sudo mount -t ext4 -o loop system.img system
read -p 'Cuando hayas terminado los cambios pulsa Intro para volver a empaquetar.: ' empaquetar
sudo umount system
e2fsck -yf system.img
resize2fs -M system.img
e2fsck -yf system.img
system=`stat -c '%n %s' system.img`
system=${system#* }
product=`stat -c '%n %s' product.img`
product=${product#* }
vendor=`stat -c '%n %s' vendor.img`
vendor=${vendor#* }
suma=$((system + product + vendor))
ext4=`stat -c '%n %s' super.ext4.img`
ext4=${ext4#* }
./lpmake --metadata-size 65536 --super-name super --metadata-slots 1 --device super:$ext4   --group main:$suma --partition system:readonly:$system:main --image system=./system.img --partition vendor:readonly:$vendor:main --image vendor=./vendor.img --partition product:readonly:$product:main --image product=./product.img --sparse --output ./super.nueva.img
rm -rf system
rm -f product.img super.ext4.img system.img vendor.img
read -p 'Ya ha finalizado. Tendrás un nuevo archico con el nombre super.nueva.img. Pulsa Intro para finalizar ' finalizar
